ReflectionProperty::getName
ReflectionProperty::isDefault
ReflectionProperty
PHP Manual

# ReflectionProperty::getValue

(PHP 5)

ReflectionProperty::getValue — Gets value

### Description

public mixed ReflectionProperty::getValue ([ object `$object` ] )

Gets the property's value.

### Parameters

`object`

  If the property is non-static an object must be provided to fetch the property from. If you want to fetch the default property without providing an object use ReflectionClass::getDefaultProperties() instead.

### Return Values

The current value of the property.

### Errors/Exceptions

Throws a ReflectionException if the property is inaccessible. You can make a protected or private property accessible using ReflectionProperty::setAccessible().

### Examples

Example #1 ReflectionProperty::getValue() example

`<?php
class Foo {
public static $staticProperty = 'foobar';
public $property = 'barfoo';
protected $privateProperty = 'foofoo';
}
$reflectionClass = new ReflectionClass('Foo');
var_dump($reflectionClass->getProperty('staticProperty')->getValue());
var_dump($reflectionClass->getProperty('property')->getValue(new Foo));
$reflectionProperty = $reflectionClass->getProperty('privateProperty');
$reflectionProperty->setAccessible(true);
var_dump($reflectionProperty->getValue(new Foo));
?>`

The above example will output:

    string(6) "foobar"
    string(6) "barfoo"
    string(6) "foofoo"

### See Also

- ReflectionProperty::setValue() - Set property value
- ReflectionProperty::setAccessible() - Set property accessibility
- ReflectionClass::getDefaultProperties() - Gets default properties
- ReflectionClass::getStaticPropertyValue() - Gets static property value

ReflectionProperty::getName
ReflectionProperty::isDefault
ReflectionProperty
PHP Manual